function [ pUC, pIND, pMIX ] = BerkowitzTest( cumProbs, optionalNormalSeries )
%BERKOWITZUC Summary of this function goes here
%   Detailed explanation goes here

% Transform to normal distribution
% The variable should be i.i.d normal under the null
if(nargin > 1)
    z = optionalNormalSeries;
else
    z = norminv( cumProbs );
end



[x0, fval0, exitflag0] = fminsearch(@(vars) BerkowitzLLF(z, vars(1), vars(2), vars(3)), [0 1 0]);
llf1 = - fval0;

[x0, fval0, exitflag0] = fminsearch(@(vars) BerkowitzLLF(z, 0, 1, vars(1)), [0]);
llf2 = - fval0;

[x0, fval0, exitflag0] = fminsearch(@(vars) BerkowitzLLF(z, vars(1), vars(2), 0), [0 1]);
llf3 = - fval0;

llf4 = - BerkowitzLLF(z, 0, 1, 0);

LRuc = 2*(llf1 - llf2);
LRind = 2*(llf1 - llf3);
LRmix = 2*(llf1 - llf4);

pUC = 1-chi2cdf(LRuc,2);
pIND = 1-chi2cdf(LRind, 1);
pMIX = 1-chi2cdf(LRmix, 3);

end

