function [ result ] = testQuantiles(testStatisticsOutput, functionName, dataLength, MCruns, alphaVar, alphaTest)
tic;
if(nargin == 1 || nargin == 2 || nargin == 4 || nargin == 5)
             error ('debugTests: nargin can only be 2, 6 or 8');
end
if(functionName == 'all')
    functionName = {'testChristoffersen', 'testKupiec', 'testWeibullCon', 'testWeibullDisc', 'testDQLogInt', 'testDQLogInd'};
    alphaVar = [0.01 0.05 0.10];
end

result2={};
index=0;
pval = zeros(length(functionName)*length(alphaVar),MCruns);

for i = 1:length(functionName)
    for j = 1:length(alphaVar)
        index = index+1;
        counter = 0;
        fh = str2func(functionName{i});
        if(nargin == 2)
            MCruns=10000;
            alphaVar = 0.05;
            alphaTest = 0.05;
        end

        warning off all;
        %%
        pvalues = zeros(1,MCruns);
        for k=1:MCruns
            returns = -ones(dataLength,1)*(alphaVar(j));
            varSeries = rand(dataLength,1);

            result = fh(returns, varSeries, alphaVar(j), [], testStatisticsOutput);
            pvalues(1,k) = result;
            
            if(testStatisticsOutput)
                counter=counter+result;
            elseif(~testStatisticsOutput && result < alphaTest)
                counter=counter+1;
            end
            
        end
        pval(3*(i-1)+j,:) = pvalues;
            warning on all;
            
            result2 = [result2;[functionName{i},', ',num2str(alphaVar(j)),': ' num2str(counter/MCruns)]];
            %disp([functionName{i},', ',num2str(alphaVar(j)),': ' num2str(counter/MCruns)])
    end
end
result=pval;
toc;
end
