function [ MLE ] = testGeometricMLE( durations, a, b )

% Assumes right censoring for first and last duration
% Value -1 on those durations indicates no censoring (will not affect MLE)

% Breach after breach will give 0 as duration
% Correct this to duration + 1

durations = durations + 1;

if( b > 0 || a <= 0 || a >= 1)
    MLE = Inf;
else

    % Point probabilities
    x = durations(2:length(durations)-1);
    
    MLE = 0;
    
    for i=1:length(x)
                    % (1-p1)(1-p2) ... (1-px-1)   % px
        MLE = MLE - sum( log( 1-a*[1:x(i)-1].^b) ) - log( a*x(i)^b );
     
    end
    
    
    % Censored results
    % If durations(1) > 0 or durations(end) > 0, those results are censored
    
    % S(Di) = 1 - F(Di) = 1 - f(1) - f(2) - ... - f(Di)
    
    %MLE = MLE - sum( log(1-a*[1:durations(1)].^b)) - sum( log(1-a*[1:durations(length(durations))].^b));
    
    
    for i=[1 length(durations)]
        
        if(durations(i) == 0)
            continue;
        end
        
        S = 1;
        
        for j=1:durations(i)
            
            S = S - exp( sum( log( 1-a*[1:j-1].^b) ) + log( a*j^b ) );
            
        end
        
        
        MLE = MLE - log(S);
        
    end
    %}        
    
    
    
end

end

