function [ MLE ] = testWeibullDiscHaasMLE( durations, a, b )

% Assumes right censoring for first and last duration
% Value -1 on those durations indicates no censoring (will not affect MLE)

% Correct this to duration + 1
durations = durations + 1;

if( a <= 0 || b <= 0)
    MLE = Inf;
else

    % Point probabilities
    x = durations(2:length(durations)-1);
    %MLE = - ( sum(log(power(q, power(x,b))-power(q,power(x+1,b)))));
    MLE = - sum( log( exp( -(a^b)*((x-1).^b) ) - exp( -(a^b)*(x.^b) ) ) );

    % Cumulative probabilities
    % F(x <= X) = 1 - q^(x+1)^b
    % F(x > X) = q^(x+1)^b    
    % In case of -1 (no censoring), log-liklihood = 0 
    %MLE = MLE - log( q^((durations(1)+1)^b) ) - log( q^((durations(length(durations))+1)^b) );
    
    % log( exp( -a^b(d-1)^b ) ) = -a^b(d-1)^b
    MLE = MLE + (a^b)*durations(1)^b + (a^b)*durations( length(durations) )^b;

    % Cumulative probabilities
    %xFirst = 0:durations(1);
    %xLast = 0:durations(length(durations));
    %MLE = MLE - log((1 - sum(power(q, power(xFirst,b))-power(q,power(xFirst+1,b))))) - log((1 - sum(power(q, power(xLast,b))-power(q,power(xLast+1,b)))));

end

end

