function [ MLE ] = testWeibullDiscMLE( durations, q, b )

% Assumes right censoring for first and last duration
% Value -1 on those durations indicates no censoring (will not affect MLE)

%q = max(min(q, 1), 0);
%b = max(b, 0);

if( b <= 0 || q <= 0 || q >= 1)
    MLE = Inf;
else

    % Point probabilities
    x = durations(2:length(durations)-1);
    
    MLE = - ( sum(log(power(q, power(x,b))-power(q,power(x+1,b)))));
        
    % Cumulative probabilities
    % F(x <= X) = 1 - q^(x+1)^b
    % F(x > X) = q^(x+1)^b    
    % In case of -1 (no censoring), log-liklihood = 0 
    
    MLE = MLE - log( q^((durations(1)+1)^b) ) - log( q^((durations(length(durations))+1)^b) );
    
    % Cumulative probabilities
    %xFirst = 0:durations(1);
    %xLast = 0:durations(length(durations));
    %MLE = MLE - log((1 - sum(power(q, power(xFirst,b))-power(q,power(xFirst+1,b))))) - log((1 - sum(power(q, power(xLast,b))-power(q,power(xLast+1,b)))));

end

end

