function [ distribution, notFeasible, notFeasibleThrownOut ] = GenerateDistribution( testFunctionName, alphaVaR, testSize, simulations )

fh = str2func(testFunctionName);

notFeasible = 0;
notFeasibleThrownOut = 0;

%% M hndtere Berkowitz p egen mte
if( strcmp(testFunctionName, 'testBerkowitz')) 
    
    distribution = zeros( 3, simulations );
    
    for i=1:simulations
        
        [LR1, LR2, LR3] = fh( normrnd(0,1,1,testSize), [], 1);
        distribution(1,i) = LR1;
        distribution(2,i) = LR2;
        distribution(3,i) = LR3;
    
    end
    
else
    
    distribution = zeros( simulations, 1 );

    
    parfor i=1:simulations

        nextStatistic = NaN;
        
        while isnan(nextStatistic)
            [returns, varSeries] = generateSeries(alphaVaR, testSize);    
            [nextStatistic, notFeasibleThrownOutTemp] = fh(returns, varSeries, alphaVaR, [], 1);
            notFeasible = notFeasible + isnan(nextStatistic);
            notFeasibleThrownOut = notFeasibleThrownOut + notFeasibleThrownOutTemp;
        end

        distribution(i) = nextStatistic;        

    end
    


end




end

