function [ pvalue ] = asymptoticTest( testFunctionName, alphaVaR, testSize, simulations, testDistributionName, degreesOfFreedom)
%ASYMPTOTICTEST Summary of this function goes here
%   Detailed explanation goes here

distribution = zeros(simulations, 1);

testFunction = str2func(testFunctionName);

for i = 1:simulations
    [ returns, varSeries ] = generateSeries(alphaVaR, testSize);
    distribution(i) = testFunction(returns, varSeries, alphaVaR, [], 1);
end

if (strcmp(testDistributionName, 'chi2cdf'))
    figure
    hist(distribution, 100);
    title(['Distribution ', testFunctionName, ' alphaVaR = ', num2str(alphaVaR), ' testSize = ', num2str(testSize), ' simulations = ', num2str(simulations)]);
    
    figure
    uniformDistribution = chi2cdf(distribution, degreesOfFreedom);
    n = length(uniformDistribution);
    edges = linspace(0,1,11);
    expectedCounts = n * diff(edges);
    [h,p,st] = chi2gof(uniformDistribution,'edges',edges,...
                     'expected',expectedCounts);    
    arr = struct2array(st);
    hist(uniformDistribution);
    title(['Cumulative ', testFunctionName, ' alphaVaR = ', num2str(alphaVaR), ' Chi2Stat = ', num2str(arr(1)), ' p = ', num2str(p)]);
    
    pvalue = p;
    return;
else
    figure
    hist(distribution, 100);
    uniformDistribution = normcdf(distribution, 0, 1);
    %uniformDistribution = rand(100000, 1) * 0.5;
    n = length(uniformDistribution);
    buckets = 10;
    edges = linspace(0,0.5,buckets + 1);
    expectedCounts = n/buckets * ones(1, buckets);
    [h,p,st] = chi2gof(uniformDistribution,'edges',edges,'expected',expectedCounts);    
    arr = struct2array(st);
    
    title(['Distribution ', testFunctionName, ' alphaVaR = ', num2str(alphaVaR), ' testSize = ', num2str(testSize), ' simulations = ', num2str(simulations)]);
    
    figure
    hist(uniformDistribution, 10);
    title(['Cumulative ', testFunctionName, ' alphaVaR = ', num2str(alphaVaR), ' Chi2Stat = ', num2str(arr(1)), ' p = ', num2str(p)]);
    
    pvalue = p;
    return;
end


end

