function [ nominalSizes ] = getSize( testFunctionNames, pValueFunctions, alphaVaRs, dataLengths, testAlphas, simulations )
%GETSIZE Summary of this function goes here
%   Detailed explanation goes here

    if numel(testFunctionNames) ~= numel(pValueFunctions)
        error('Each function name must have a p-value function');
    end

    nominalSizes = zeros( numel(testFunctionNames), numel(alphaVaRs), numel(dataLengths), numel(testAlphas))*NaN;

    for f=1:numel(testFunctionNames)
        for a=1:numel(alphaVaRs)
            for t=1:numel(dataLengths)   
                
                pValues = pValueFunctions{f}(getDistribution(testFunctionNames{f}, alphaVaRs(a), dataLengths(t), simulations));
                
                for p=1:numel(testAlphas)
                    nominalSizes(f,a,t,p) = sum( testAlphas(p) > pValues) / numel(pValues);
                end                    
                    
            end
        end
    end


end

