%testFunctionNames = {'testChristoffersen',  'testKupiec',           'testWeibullCon',       'testWeibullDisc',      'testDQLogInd',         'testDQLogInt',                 'testDQLogCC',          'testChristoffersenCC',     'testWeibullConCC',     'testWeibullDiscCC',        'testBinomial',     'testGeometricCC',      'testWeibullDiscHaasCC',        'testDQLogCC1',        'testDQCC'};
%pValueFunctions =   {@(LR) 1-chi2cdf(LR,1), @(LR) 1-chi2cdf(LR,1),  @(LR) 1-chi2cdf(LR,1),  @(LR) 1-chi2cdf(LR,1),  @(LR) 1-chi2cdf(LR,6),  @(LR) (1-normcdf(LR,0,1))*2,    @(LR) 1-chi2cdf(LR,7),  @(LR) 1-chi2cdf(LR,2),      @(LR) 1-chi2cdf(LR,2),  @(LR) 1-chi2cdf(LR,2),      @(LR) 1-LR,         @(LR) 1-chi2cdf(LR,2),  @(LR) 1-chi2cdf(LR,2),          @(LR) 1-chi2cdf(LR,3),  @(LR) 1-chi2cdf(LR,7)};

%tests in paper
testFunctionNames = {   'testKupiec',...
                        'testChristoffersenCC',...
                        'testDQCC',...
                        'testDQLogCC',...
                        'testWeibullConCC',...
                        'testWeibullDiscCC',...
                        'testWeibullDiscHaasCC',...
                        'testGeometricCC'};
                                     
pValueFunctions =   {   @(LR) 1-chi2cdf(LR,1),...
                        @(LR) 1-chi2cdf(LR,2),...
                        @(LR) 1-chi2cdf(LR,7),...
                        @(LR) 1-chi2cdf(LR,7),...
                        @(LR) 1-chi2cdf(LR,2),...
                        @(LR) 1-chi2cdf(LR,2),...
                        @(LR) 1-chi2cdf(LR,2),...
                        @(LR) 1-0.5*chi2cdf(LR,2)-0.5*chi2cdf(LR,1)};

                    
                   
%testFunctionNames = {'testKupiec'};
%pValueFunctions =   {@(LR) 1-chi2cdf(LR,1)};


alphaVaRs = [0.01 0.05 0.10];
dataLengths = [100 250 500 750 1000 1250 1500];
testAlphas = 0.05;
simulations = 50000;

nominalSizes = getSize(testFunctionNames, pValueFunctions, alphaVaRs, dataLengths, testAlphas, simulations);

colors = {'b', 'g', 'c', 'm', 'y', 'k'};

for i=1:numel(testFunctionNames)
    
    figure;
    title( testFunctionNames{i} );
    hold on;
    
    legends = {};
    
    for j=1:numel(alphaVaRs)
        plot(dataLengths, squeeze(nominalSizes(i,j,:)), colors{j});
        legends{j} = ['VaR alpha=', num2str(alphaVaRs(j))];
    end
    
    plot(dataLengths, ones( numel(dataLengths), 1)*testAlphas, '--r');
    legends{j+1} = 'test alpha';
    
    legend( legends );
    
end

latex_table = permute(nominalSizes, [3 1 2]);
