%Set what to plot
functionName = 'testDQLogInt';
alphaVaRs = [0.01 0.05 0.10];
testSizes = [100 250 500 750 1000 1250 1500];

%Plotting
for i = 1:size(alphaVaRs, 2)
    Z = [];
    Y = [];
    X = [];
    for j = 1:size(testSizes, 2)
        [diagram xDiagram] = hist(getDistribution(functionName, alphaVaRs(i), testSizes(j), 50000));
        Z = [Z diagram'];
        X = [X xDiagram'];
        Y = [Y testSizes(j) * ones(1, size(Z, 1))'];
    end
    figure;
    surf(X,Y,Z,'FaceColor','red','EdgeColor','none')
    camlight left; lighting phong
    
    title([functionName, ' ', num2str(alphaVaRs(i))]);
    xlabel('test statistic');
    ylabel('sample size');
    zlabel('Frequency');
    
    disp(functionName);
end


