function [ pValue ] = testChristoffersenCC2( returns, varSeries, alphaVar, finiteSampleDist, testStatisticsOutput )
% ***DONE! DOUBLE CHECKED AGAINST CHRISTOPHER***
%TESTCHRISTOFFERSEN Summary of this function goes here
%   Detailed explanation goes here

breaches = returns<-varSeries;

%Check how we want this!
if(sum(breaches(1:(end-1)))==0)
    pValue = nan;
    return;
end

n = length(returns) - 1; % test size (minus first data point)
            
breaches_lag = breaches(1:end-1);
breaches_lag_adj = breaches(2:end);
n_01 = sum((breaches_lag==0).*(breaches_lag_adj==1));
n_00 = sum((breaches_lag==0).*(breaches_lag_adj==0));
n_10 = sum((breaches_lag==1).*(breaches_lag_adj==0));
n_11 = sum((breaches_lag==1).*(breaches_lag_adj==1));
n_0 = n_00 + n_10;
n_1 = n_01 + n_11;

%n_0 = n - n_1; % observed number of "not" breaches

%n_11 = length(find(durations == 1)); % number of exceedances followed by another exceedance
%n_01 = n_1 - n_11; % number of exceedances not followed by another exceedance

%n_10 = length(find(durations > 1)); % number of exceedances followed by non-exceedance
%n_00 = n_0 - n_10;

pi_01 = n_01 / (n_00 + n_01);
pi_11 = n_11 / (n_10 + n_11);

pi_obs = n_1 / n;
pi_exp = alphaVar;


%LR = ((pi_obs^n_1)*(1-pi_obs)^n_0)/((pi_01^n_01)*((1-pi_01)^n_00)*(pi_11^n_11)*(1-pi_11)^n_10);
%testStatistic = -2*log(LR)

testStatistic = -2*( ( logFix(n_1,pi_obs) + logFix(n_0,1-pi_obs) ) - ( logFix( n_01,pi_01) + logFix(n_00,1-pi_01) + logFix(n_11,pi_11) + logFix(n_10, 1-pi_11) ));

if(nargin > 4 && testStatisticsOutput == 1)  
    pValue = testStatistic;
else
    if (~isempty(finiteSampleDist))
        try
            pValue = FindP(testStatistic,finiteSampleDist);
        catch err
            disp(['Christoffersen gets: ',err.message]);
        end
    else
        pValue = 1 - chi2cdf(testStatistic, 1);
    end
end

end


function [ value ] = logFix( coef, logNum)
if(coef==0 && logNum == 0)
    value = 0;
else
    value = coef*log(logNum);
end
end