function [ pValue ] = testBinomial( returns, varSeries, alphaVar, finiteSampleDist, testStatisticsOutput )
%TESTBINOMIAL Summary of this function goes here
%   Detailed explanation goes here


    breaches = find(returns < - varSeries);
    
    N = length(returns);
    Breaches_O = length(breaches);
    Breaches_E = N * alphaVar;
    
    if( Breaches_O < Breaches_E)
        direction = 1;
    else
        direction = -1;
    end
    
    p = binopdf(Breaches_O, N, alphaVar);
    
    cumProb = p * rand(); % Handling ties stochastic
    i = Breaches_O + direction;
    
    while( binopdf(i, N, alphaVar) > p)
        cumProb = cumProb + binopdf(i, N, alphaVar);
        i = i + direction;
    end
    
    if(nargin > 4 && testStatisticsOutput == 1)
        pValue = cumProb;
    elseif(isempty(finiteSampleDist))
        pValue = 1 - cumProb;
    else
        pValue = FindP(cumProb, finiteSampleDist);
    end
    

end

