function [ pValue, notFeasibleThrownOut ] = testChristoffersenCC( returns, varSeries, alphaVar, finiteSampleDist, testStatisticsOutput )
    
    [statChristoffersen, notFeasible1] = testChristoffersen(  returns, varSeries, alphaVar, [], 1 );
    [statKupiec, notFeasible2] = testKupiec(  returns(2:end), varSeries(2:end), alphaVar, [], 1 );
    
    notFeasibleThrownOut = max(notFeasible1, notFeasible2);
    
    if(isnan(statChristoffersen))
        pValue = NaN;
        return;
    end
    
    testStatistic = statChristoffersen + statKupiec;
    
    if(nargin > 4 && testStatisticsOutput == 1)  
        pValue = testStatistic;
    else
        if (~isempty(finiteSampleDist))
        try
            pValue = FindP(testStatistic,finiteSampleDist);
        catch err
            disp(['ChristoffersenCC gets: ',err.message]);
        end
        else
            pValue = 1 - chi2cdf(testStatistic, 2);
        end
    end
end