function [ pValue, notFeasibleThrownOut ] = testDQCC2(returns, varSeries, alphaVar, finiteSampleDist, testStatisticsOutput )
k=3;				% Number of lagged hits to be included in the test.

notFeasibleThrownOut = 0;
%% CREATE breaches FUNCTION
breaches = returns<-varSeries;
if(sum(breaches(k+1:length(breaches))) <= 1 ) 
	pValue = nan;
    notFeasibleThrownOut = 1;
	return;
end

%% REGRESSIONS AND TESTS 1

Z = zeros(length(varSeries)-k, 2*k+1);

    Z(:,1) = ones(length(varSeries)-k,1);
for s = 1:k
	Z(:,s+1) = breaches(k+1-s:length(varSeries)-s);
end
for s = 1:k
	Z(:,s+k+1) = varSeries(k+1-s:length(varSeries)-s);
end

%% REGRESSIONS AND TESTS 2

%Modell with all terms
%phi = regress(breaches(k+1:length(breaches))-alphaVar,Z,0.05);

[phi,bint,r,rint,stats] = regress(breaches(k+1:length(breaches))-alphaVar,Z,0.05);

y = breaches(k+1:length(breaches))-alphaVar;
SSCC = sum(y.^2);

tInd = y-mean(y);
SSInd = sum(tInd.^2);

tfull = y-(phi'*Z')';
SSFull = sum(tfull.^2);
MSFull = SSFull/(length(y)-(2*k+1));

SSRegInd = SSInd - SSFull;
SSRegCC = SSCC - SSFull;

MSRegInd = SSRegInd/(2*k);
MSRegCC = SSRegCC/(2*k+1);

statInd = MSRegInd/MSFull;
statCC = MSRegCC/MSFull;

%statInd = 
stat = statCC;

%stat = (phi' * Z' * Z * phi)/(alphaVar*(1-alphaVar));

if(stat<0)
   pValue = nan;
   return;
end

if(testStatisticsOutput == 1) 
    pValue = stat;
    return
else
    if(~isempty(finiteSampleDist)) 
        try
            pValue = FindP(stat,finiteSampleDist);
        catch err
            disp(['DQ CC gets: ',err.message]);
        end
    else
        pValue = 1-fcdf(stat,2*k+1,length(y)-(2*k+1));
    end
end
