function [ pValue, notFeasibleThrownOut ] = testDQCC(returns, varSeries, alphaVar, finiteSampleDist, testStatisticsOutput )
k=3;				% Number of lagged hits to be included in the test.

notFeasibleThrownOut = 0;
%% CREATE breaches FUNCTION
breaches = returns<-varSeries;
if(sum(breaches(k+1:length(breaches))) <= 1 ) 
	pValue = nan;
    notFeasibleThrownOut = 1;
	return;
end

%% REGRESSIONS AND TESTS 1

Z = zeros(length(varSeries)-k, 2*k+1);

    Z(:,1) = ones(length(varSeries)-k,1);
for s = 1:k
	Z(:,s+1) = breaches(k+1-s:length(varSeries)-s);
end
for s = 1:k
	Z(:,s+k+1) = varSeries(k+1-s:length(varSeries)-s);
end

%% REGRESSIONS AND TESTS 2
H = breaches(k+1:length(breaches))-alphaVar;
X = Z;

s = sum( (H - X*(inv(X'*X)*X'*H)).^2 ) / ( numel(H) );
stat = H'*X*inv(X'*X)*X'*H / s;


if(stat<0)
   pValue = nan;
   return;
end

if(testStatisticsOutput == 1) 
    pValue = stat;
    return
else
    if(~isempty(finiteSampleDist)) 
        try
            p_ind = FindP(stat,finiteSampleDist);
        catch err
            disp(['DQ CC gets: ',err.message]);
        end
    else
        p_ind = 1-chi2cdf(stat,2*k+1);
    end
end

%% OUTPUT
pValue = p_ind;
