function [ pValue ] = testDQLogInd(returns, varSeries, alphaVar, finiteSampleDist, testStatisticsOutput )
k=3;				% Number of lagged hits to be included in the test.

%% CREATE breaches FUNCTION
breaches = returns<-varSeries;

if(sum(breaches(k+1:length(breaches))) <= 1 ) 
	pValue = nan;
	return;
end

%% REGRESSIONS AND TESTS 1
if(~isempty(varSeries))
    Z = zeros(length(varSeries)-k, 2*k);

    for s = 1:k
       Z(:,s) = breaches(k+1-s:length(varSeries)-s);
    end
    for s = 1:k
       Z(:,s+k) = varSeries(k+1-s:length(varSeries)-s);
    end
else
    Z = zeros(length(varSeries)-k, k);
    Z(:,1) = ones(length(varSeries)-k,1)*log(alphaVar/(1-alphaVar));
    for s = 1:k
       Z(:,s) = breaches(k+1-s:length(varSeries)-s);
    end
end
%% REGRESSIONS AND TESTS 2
[b,dev,stats] = glmfit(Z,breaches(k+1:length(breaches)),'binomial','link','logit');
[btemp,devtemp,statstemp] = glmfit(ones(length(k+1:length(breaches)),1),breaches(k+1:length(breaches)),'binomial','link','logit','constant','off','offset',log(alphaVar/(1-alphaVar))*ones(length(breaches)-(k),1));

G_stat = devtemp-dev;

if(G_stat<0)
   pValue = nan;
   return;
end

if(testStatisticsOutput == 1) 
    pValue = G_stat;
    return
else
    if(~isempty(finiteSampleDist)) 
        try
            p_ind = FindP(G_stat,finiteSampleDist);
        catch err
            disp(['DQLogInd gets: ',err.message]);
        end
    else
        p_ind = 1-chi2cdf(G_stat,2*k);
    end
end

%% OUTPUT
pValue = p_ind;
