function [ pValue ] = testDQLogInt(returns, varSeries, alphaVar, finiteSampleDist, testStatisticsOutput )
%***DONE! PERFORMS SIMILAR TO KUPIEC!!!
%TESTLOGINT
k=3;				% Number of lagged hits to be included in the test.

%% CREATE breaches FUNCTION
breaches = returns<-varSeries;

if(sum(breaches(k+1:length(breaches)))==0)
    pValue = nan;
    return;
end

%% REGRESSIONS AND TESTS 1
[btemp,devtemp,statstemp] = glmfit(ones(length(k+1:length(breaches)),1),breaches(k+1:length(breaches)),'binomial','link','logit','constant','off');

%[btemp2,devtemp2,statstemp2] = glmfit(ones(length(k+1:length(breaches)),1),breaches(k+1:length(breaches)),'binomial','link','logit','constant','off','offset',log(alphaVar/(1-alphaVar))*ones(length(breaches)-(k),1));

int_stat = abs(statstemp.beta(1)-log(alphaVar/(1-alphaVar)))/statstemp.se(1);

if(nargin > 4 && testStatisticsOutput == 1) 
    pValue = int_stat;
    return
else
    if(~isempty(finiteSampleDist)) 
        try
            pValue = FindP(int_stat,finiteSampleDist); %two-sided
        catch err
            disp(['DQLogInt gets: ',err.message]);
        end
    else
        pValue = (1-normcdf(int_stat,0,1))*2;
    end
end