function [ pValue, notFeasibleThrownOut ] = testKupiec( returns, varSeries, alphaVar, finiteSampleDist, testStatisticsOutput)
% ***DONE! DOUBLE CHECKED AGAINST CHRISTOPHER***
%TESTKUPIEC Summary of this function goes here
%   Detailed explanation goes here

notFeasibleThrownOut = 0;

breaches = find(returns < - varSeries);
observedNrBreaches = length(breaches);

expectedPropBreaches = alphaVar;
observedPropBreaches = observedNrBreaches / length(returns);

n0 = length(returns) - observedNrBreaches;

testStatistic = -2*( logFix(n0,1-expectedPropBreaches)+logFix(observedNrBreaches,expectedPropBreaches)-logFix(n0,1-observedPropBreaches)-logFix(observedNrBreaches,observedPropBreaches));

if(testStatistic<0)
    warning(['Test Statistic: ', num2str(testStatistic), ' | observedNrBreaches: ', num2str(observedNrBreaches)]);
    testStatistic = 0;    
end

if(nargin > 4 && testStatisticsOutput == 1)  
    pValue = testStatistic;
    return
else
    if(~isempty(finiteSampleDist)) 
        try
            pValue = FindP(testStatistic,finiteSampleDist);
        catch err
            disp(['Kupiec gets: ',err.message]);
        end
    else
        pValue = 1 - chi2cdf(testStatistic, 1);
    end
end
end

function [ value ] = logFix( coef, logNum)
if(coef==0 && logNum == 0)
    value = 0;
else
    value = coef*log(logNum);
end
end