function [storageCell] = RunFunctionACF( runNr, alphaVar, lookback, lags )

    %% Bruk alle kjernene!    
    matlabpool;

    %% Legg alle filer i path som ligger under Matlab
    currentDir = fileparts(which('RunFunctionACF'));
    addpath( genpath([currentDir, '/../../External Scripts']) );
    addpath( genpath([currentDir, '/../../MFEToolbox']) );
    addpath( genpath([currentDir, '/../../Under Progress']) );
    
    start = tic;
    
    %% Scripts og funksjoner vi nsker  kjre
    %  Bruk runNr til  spesifisere hva slags type jobb som skal kjres
    
    %runNr = 10010 + runNr; % Unng overskriving, behold gamle filer    
            
    %warning off all;  
    
    RandStream.setDefaultStream(RandStream('mt19937ar', 'Seed', runNr ));
    
    spmd
        RandStream.setDefaultStream(RandStream('mt19937ar', 'Seed', runNr + labindex*1000 ));
    end
    
    
    N = 12500000;
    S = 8;
    
    %lags = lookback + 20;
    
    acf3 = cell(S,1);    
    acf4 = cell(S,1);

    parfor i=1:S
        [r, v] = generateData('normal', 'normal', alphaVar, N, lookback, 0, 0);
        I = r < -v;
        mu1 = mean(I);
        mu2 = mean(v);
        acf1 = zeros(1, lags);
        acf2 = zeros(1, lags);
        for j=1:lags
            acf1(j) = sum( (I(1+j:end) - mu1)'*(I(1:end-j) - mu1)) / (N-j);
            acf2(j) = sum( (I(1+j:end) - mu1)'*(v(1:end-j) - mu2)) / (N-j);
        end
        acf3{i} = acf1;
        acf4{i} = acf2;
    end

    
    
    result = cell(6,1);
    result{1} = acf3;
    result{2} = acf4;
    result{3} = lookback;
    result{4} = alphaVar;
    result{5} = lags;
    result{6} = N;
    
    %% Lagre resultat til fil
    savePath = [fileparts(which('correlations')) , '/acfStore/'];
    savefile = [savePath, 'run_lookback_', num2str(lookback) , '_var_', num2str(alphaVar),'_lags_',num2str(lags), '_', num2str(rand()) ,'_', num2str(runNr), '.mat'];
    save(savefile, 'result');
    
    %% Skriv ut at jobben er ferdig
    time = toc(start);
    disp(['Run # ', num2str(runNr), ' finished in: ', num2str(time), ' seconds']); 

    %% Avslutter Matlab (slik at vi ikke bruker undvendige ressurser p Solstorm
    matlabpool close;
    exit;


end

