%To add the path for the tests
addpath('..\tests');

%Parameters to set
length = 1000;
p0 = 0.05;
alpha = 0.05;
sims = 100;
start1 = 0;
end1 = 0.2;
powerStep = 0.01;

%Setting up the plot tables
plotSize = (end1 - start1)/powerStep;
powerFunctionX = zeros(1, plotSize); % probability of breach
powerFunctionY = zeros(1, plotSize); % dependence
powerFunctionZ = zeros(plotSize, plotSize); % power

%Getting the filenames of the tests

fileInfo = struct2cell(dir('..\tests'));
fileList = fileInfo(1, :);
functionFileNames = fileList(3:size(fileList, 2));
functionNames = strrep(functionFileNames, '.m', '');

%Iterating over the files and extracting the power function

j = 6;

%for j = 3:size(functionNames, 2)
    functionName = cell2mat(functionNames(j));
    for i = 1:plotSize
        powerFunctionX(i) = start1 + (i-1)*powerStep;
        for k = 1:plotSize
            powerFunctionY(i) = start1 + (k-1)*powerStep;
            powerFunctionZ(i, k) = getPower(functionName,p0, powerFunctionX(i), powerFunctionY(i), alpha, length, sims);
        end
    end
    
    %Plots the function and displays the information about alpha
    figure;
    surfl(powerFunctionZ);
    shading interp;
    colormap(pink);

    title(functionName);
    xlabel('dependence');
    ylabel('p1');
    zlabel('P(rejection)');
    
    disp(functionName);

%end