function [ power ] = getPower(functionName, p0 , p1, dependence, alpha, length, sims)

    numberOfRejections = 0;

    % Temporary position of variable initiation
    
    p01 = min(p1 + p1*dependence, 1);
    p02 = UnconditionalProbability([p01],p1);

    probabilities = [p01 p02 p1]
    
    for i = 1:sims 
        fh = str2func(functionName);
        %pValue = fh(zeros(length, 1) - 0.5, getVarSeries(probabilities, length), p0);
        pValue = fh(getReturns(probabilities, length), 0, p0);
        if isnan(pValue)
            warning(['No valid pValue for ', functionName]);
        end
        if pValue < alpha
            numberOfRejections = numberOfRejections + 1;
        end
    end
    power = numberOfRejections/sims; 
end

