function [ tableOut ] = getLatexTable(tableIn, leftHeaders, topHeaders, middleHeaders, caption, label, note)
%GETLATEXTABLE Summary of this function goes here
%   Detailed explanation goes here
    
    tableIn = round(tableIn*1000)/1000;

    disp('\begin{table}');
	disp('\centering');
	disp('\begin{threeparttable}[b]');
    disp(['\caption{', caption, '}']);
    disp(['\label{tab:', label, '}']);
    	
    lll = '';
    header = topHeaders{1};
    for i = 1:size(tableIn, 2) + not(isempty(leftHeaders))
        lll = [lll, 'c'];
    end
    for i = 1:size(tableIn, 2) - isempty(leftHeaders)
        header = [header, '&', topHeaders{i+1}];
    end
    
    header = [header, ' \\'];
       
    disp(['\begin{tabular}{', lll, '}']);
	disp('\toprule');
	disp(header);
	disp('\midrule');
    
    for k = 1:size(tableIn, 3)
        if(not(isempty(middleHeaders)))
            midheader_out = ['\multicolumn{', num2str(size(tableIn, 2)), '}{c}{', middleHeaders{k}, '}\\'];
            if(not(isempty(leftHeaders)))
                midheader_out = ['&', midheader_out];
            end
            if(not(k == 1))
                midheader_out = ['[1ex]', midheader_out];
            end
            disp(midheader_out);
        end
        
        table_Out = '';
        for i = 1:size(tableIn, 1)
            if(not(isempty(leftHeaders)))
                if(isnumeric(leftHeaders{i}))
                    nextNumber = num2str(leftHeaders{i});
                    if(length(nextNumber) == 1)
                        nextNumber = [nextNumber, '.'];
                    end
                    if(length(nextNumber) < 5)
                        for l = 1:(5 - length(nextNumber))
                            nextNumber = [nextNumber, '0'];
                        end
                    end
                    table_Out = [table_Out, nextNumber, '&'];
                else
                    table_Out = [table_Out, leftHeaders{i}, '&'];
                end
            end
            for j = 1:size(tableIn, 2)
                nextNumber = num2str(tableIn(i, j, k));
                if(length(nextNumber) == 1)
                    nextNumber = [nextNumber, '.'];
                end
                if(length(nextNumber) < 5)
                    for l = 1:(5 - length(nextNumber))
                        nextNumber = [nextNumber, '0'];
                    end
                end
                if(j == 1)
                    table_Out = [table_Out, nextNumber];
                else
                    table_Out = [table_Out, '&', nextNumber];
                end
            end
            disp([table_Out, ' \\']);
            table_Out = '';
        end
    end
    
    disp('\bottomrule');
    disp('\end{tabular}');
    if(nargin > 6)
        disp('\begin{tablenotes}\footnotesize');
        disp(['\item[] {\bf Note: }', note]); 
        disp('\end{tablenotes}');
    end
    disp('\end{threeparttable}');
	disp('\end{table}');
    
    tableOut = table_Out;
    
    
end