function [ output_args ] = mergeAll(testFunctionNames, underlyingProcesses, varProcesses, alphaVaRs, lookbacks, dataLengths, alphaTests)
%MERGEALL Merges all files
%   testFunctionNames: {'testChristoffersen', 'testKupiec' ...}
%   underlyingProcesses: {'normal', 'garchnormal' ...}
%   varProcesses: {'normal'}
%   alphaVaRs: [0.1 0.05 0.01]
%   lookbacks: [250 500 ...]
%   dataLengths: [100 250 500 750 1000 1250 1500]
%   alphaTests: [0.05]
    
    if(nargin==0)
        testFunctionNames = {'testChristoffersen' 'testKupiec' 'testDQLogInd' 'testDQLogInt' 'testWeibullCon' 'testWeibullDisc'};
        underlyingProcesses = {'normal','studentt','garchnormal''garchstudentt','uniform'};
        varProcesses = {'normal'};
        alphaVaRs = [0.01 0.05 0.10];
        lookbacks = [1000];
        dataLengths = [100 250 500 750 1000 1250 1500];
        alphaTests = [0.05];
    end

    for i = 1 : length(testFunctionNames)
        for j = 1 : length(underlyingProcesses)
            for k = 1 : length(varProcesses)
                for l = alphaVaRs
                    for m = lookbacks
                        for n = dataLengths
                            for o = alphaTests
                                mergeFile(testFunctionNames{i}, underlyingProcesses{j}, varProcesses{k}, l, m, n, o);
                            end
                        end
                    end
                end
            end
        end
    end
end

