function [ output_args ] = mergeAllCBP()
%MERGEALLCBP Summary of this function goes here
%   Detailed explanation goes here

[pathstr, name, ext] = fileparts(which('mergeAllCBP'));

pathstr = [pathstr, '/storedRuns/CBP/'];
fileinfo = dir([pathstr, 'storageCell_*']);

if(length(fileinfo) > 0)
    load(fileinfo(1).name);
    reject = allRejections;
    sims = allSims;
end

for i = 1:length(fileinfo)
    load(fileinfo(i).name);
    reject = reject + allRejections;
    sims = sims + allSims;
end

dimension = size(allSims);

rejections = zeros(dimension(1:4));
simulations = zeros(dimension(1:4));

for i = 1:dimension(1)
    for j = 1:dimension(2)
        for k = 1:dimension(3)
            for l = 1:dimension(4)
                for m = 1:length(allSims)
                    rejections(i, j, k, l) = rejections(i, j, k, l) + reject(i, j, k, l, m);
                    simulations(i, j, k, l) = simulations(i, j, k, l) + sims(i, j, k, l, m);
                end
            end
        end
    end    
end

power = rejections./simulations;

heading = ['     '];

for i = 1 :length(tests)
    testString = tests{i};
    testString = testString(5 : 9);
    heading = [heading, ' ', testString];
end

for l = 1 : size(power, 4)
    disp(['            alphaVaR = ', num2str(alphaVaRs(l))]);
    disp(heading);
    for i = 1 : size(power, 1)
        disp(['Business line', num2str(i)]);
        for j = 1 : size(power, 3)
            outputString = num2str(lengths(j));
            while(length(outputString) < 5)
                outputString = [outputString, ' '];
            end
            for k = 1 : size(power, 2)
                pow = num2str(power(i, k, j, l));
                while(length(pow) < 5)
                    pow = [pow , '0'];
                end
                outputString = [outputString, ' ', pow(1:5)];
            end
            disp(outputString);
        end
        disp(' ');
    end
    disp(' ');
end

end

