function [ output_args ] = mergeFile( testFunctionName, underlyingProcess, varProcess, alphaVaR, lookback, dataLength, alphaTest)
%MERGEFILE Merges all the files with the given specifications
%   testFunctionName: 'testChristoffersen' 'testWeibullDisc'...
%   underlyingProcess: 'normal','studentt', 'garchnormal', 'garchstudentt'
%   varProcess: 'normal', only option so far
%   alphaVaR: Significance level of VaR
%   alphaTest: Significance level of test

fileId = [testFunctionName, '_', underlyingProcess, '_', varProcess, '_', num2str(alphaVaR), '_', num2str(lookback), '_', num2str(dataLength), '_' , num2str(alphaTest)];
fileIndicator = [fileparts(which('mergeFile')), '/powerFunctions/', fileId, '_*'];
files = dir(fileIndicator);

if(isempty(files))
    output_args = -1;
    return;
end

info = struct2cell(files(1));
fileName = info{1};
load([fileparts(which('mergeFile')), '/powerFunctions/', fileName]);
powerFunction = powerFunctionZ * sims;
simulations = sims;
%disp(1);
%disp(powerFunction);

for i = 2 : length(files)
    info = struct2cell(files(i));
    fileName = info{1};
    load([fileparts(which('mergeFile')), '/powerFunctions/', fileName]);
    powerFunction = powerFunction + powerFunctionZ * sims;
    simulations = simulations + sims;
    %disp(i);
    %disp(powerFunction);
end

sims = simulations;

powerFunctionZ = powerFunction/(sims);
%disp(powerFunctionZ);

savefile = [fileparts(which('mergeFile')), '/powerFunctions/mergedFunctions/', fileId, '_m.mat'];
save(savefile, 'powerFunctionZ', 'powerV', 'powerPhi', 'powerP', 'functionName', 'underlyingProcess', 'VaRProcess', 'alpha', 'alphaTest', 'lookback', 'dataLength', 'sims');

disp(fileIndicator);
output_args = 1;

end

