sims = 400;
alphaVar = 0.05;
lookback = [50 250];
dataLength = 1000;
tests = {'testKupiec', 'testChristoffersenCC', 'testDQCC', 'testDQLogCC', 'testWeibullConCC', 'testWeibullDiscCC', 'testWeibullDiscHaasCC', 'testGeometricCC'};

garchResults = zeros(numel(lookback), numel(tests), sims);

distributions = zeros(numel(tests), 50000);

for t=1:numel(tests)
    
    distributions(t, :) = getDistribution( tests{t}, alphaVar, dataLength, 50000, 0);           
            
end

tic;
for i=1:sims
    
    for j=1:numel(lookback)
    
        [r, v] = generateData('garchnormal', 'garchnormal', alphaVar, dataLength, lookback(j), 0, [0.1 0.3 0.5]);
        
        for t=1:numel(tests)
            
           fh = str2func( tests{t} );
           garchResults(j, t, i) = fh( r, v, alphaVar, distributions(t, :), 0);
            
        end
        
    end
    
end
toc;    
    