function [ hitLags, varLags, N ] = readAcfStore( alphaVar, lookback, lags )
%READACFSTORE Summary of this function goes here
%   Detailed explanation goes here

    filePath = [fileparts(which('readAcfStore')) , '/acfStore/'];
    filePaths = [filePath, 'run_lookback_', num2str(lookback) , '_var_', num2str(alphaVar) , '_lags_',num2str(lags),'_*.mat'];
    fileSearch = dir(filePaths);
    
    %lags = lookback + 20;
    hitLags = zeros(lags, 1);
    varLags = zeros(lags, 1);
    N = 0;
    
    for i=1:length(fileSearch)
        
        S = load([filePath, fileSearch(i).name]);
        % Update data length
        DL = S.result{6};
        N = N + DL*numel(S.result{1});
        
        
        for j=1:numel(S.result{1})
            hitLags = hitLags + (S.result{1}{j}.*([-1:-1:-lags] + DL))';
            varLags = varLags + (S.result{2}{j}.*([-1:-1:-lags] + DL))';
        end
        
    end
    
    hitLags = hitLags / N;
    varLags = varLags / N;

end

