sims = 1000;
dataLength = 10000;
alpha = 0.05;
lookback = 250;

xBino = zeros(sims,dataLength);
xGenS = zeros(sims,dataLength);
xData = zeros(sims,dataLength);

for i=1:sims
    
    [r, v] = generateSeries(alpha, dataLength);
    [r2, v2] = generateData('normal', 'normal', alpha, dataLength, lookback, 0, 0);
    xGenS(i,:) = r < -v;
    xData(i,:) = r2 < -v2;
    xBino(i,:) = binornd(1,alpha, dataLength, 1);
    
end

%underlyingProcess, varProcess, alphaVaR, dataLength, lookback, V, garchPar

Z = 100;

t1 = ones(Z,1)*sum(xGenS') < [1:Z]'*ones(1,sims);
t2 = ones(Z,1)*sum(xBino') < [1:Z]'*ones(1,sims);
t3 = ones(Z,1)*sum(xData') < [1:Z]'*ones(1,sims);

figure;
plot(1:Z, sum(t1'));
hold on;
plot(1:Z, sum(t2'), 'r');
hold on;
plot(1:Z, sum(t3'), 'g');

f = @(lag) mean( mean(xData(:, lag+1:end) .* xData(:, 1:end-lag)) - mean(xData(:,lag+1:end)).^2 );
