lookback = 10;
alpha = 0.05;
sigma = 10;
dataLength = 2;

sims = 100000;
breachCountUncorrected = 0;
breachCountCorrected = 0;

correction = sqrt(1+1/lookback)*tinv(alpha, lookback - 1) / norminv(alpha);
Q = norminv(alpha);

parfor i=1:sims
    
    returns = normrnd(0, sigma, lookback + 1, 1);
    std0 = std(returns(1:end-1));
    mean0 = mean(returns(1:end-1));
     
    breachCountUncorrected = breachCountUncorrected + ( returns(end) < mean0 + std0*Q);
    breachCountCorrected = breachCountCorrected + ( returns(end) < mean0 + std0*Q*correction);
    
end

uncorrected = breachCountUncorrected / sims
corrected = breachCountCorrected / sims
%theoretical = tcdf( norminv(alpha) * sigma / sqrt( sigma^2 + sigma^2 / lookback), lookback - 1)

