testName = {            'testKupiec',...
                        'testChristoffersenCC',...
                        'testDQLogCC',...
                        'testGeometricCC'};
%testName = 'testKupiec';
underlyingProcess = 'garchstudentt';
varProcess = 'normal';
alphaVar = 0.05;
alphaTest = 0.05;
lookback = 250;
dataLength = 1000;
if(isempty(storageCells))
    storageCells = getRunResults;
end

power = zeros(length(testName),6,6);

for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi1, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    power(i,:,:) = powerFunctionZ;
end

power2 = zeros(length(testName), 6);

underlyingProcess = 'garchnormal';

for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi2, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    power2(i,:) = powerFunctionZ;
end

tex = permute(power, [3, 2, 1]);
tex2 = permute(power2, [2,1]);

latexForm = zeros(6, length(testName), 6);

for i = 1:6
    for j = 1:length(testName)
        latexForm(:, j, i) = tex(:, i, j);
    end
end

pow = latexForm(:,:,1);

lengths = [100, 250, 500, 750, 1000, 1250, 1500];
pows = zeros(length(testName), 6, 6);
underlyingProcess = 'garchstudentt';

sampleSizeImpl = zeros(7, 4);

for j = 1:length(lengths)
    for i = 1:length(testName)
        [ powerFunctionZ, sims, V, Phi3, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, lengths(j), storageCells );
        pows(i,:,:) = powerFunctionZ;
    end

    sampleSizeImpl(j, :) = pows(:, 1, 6)';
end

currentDir = fileparts(which('savePlots'));

name = 'pow.csv';
csvwrite([currentDir, '/epsPlots/', name],pow);
name = 'Phi1.csv';
csvwrite([currentDir, '/epsPlots/', name],Phi1);
name = 'tex2.csv';
csvwrite([currentDir, '/epsPlots/', name],tex2);
name = 'lengths.csv';
csvwrite([currentDir, '/epsPlots/', name],lengths);
name = 'sampleSizeImpl.csv';
csvwrite([currentDir, '/epsPlots/', name],sampleSizeImpl);

%plot(Phi1, pow);
%plot(Phi1, tex2);
%plot(lengths, sampleSizeImpl);

%{
%%SAVING THE GRAPHS
currentDir = fileparts(which('savePlots'));
set(0,'DefaultAxesColorOrder',[0 0 0;1 0 0],...
      'DefaultAxesLineStyleOrder','-|--');
set(0,'defaultAxesFontName', 'Times New Roman');
set(0,'defaultAxesFontSize', 12);
  
name = 'finalPowerA';
figure;
plot(Phi1, pow);
ylim([0 1]);
leg = legend('PF','Markov','DQLogit', 'Geometric','Orientation','horizontal','Location','SouthOutside');
legend boxoff;
set(gca, 'box', 'off') ;
set(gca, 'TickDir' , 'out');
xlabel('\alpha');   

saveas(gcf,[currentDir, '/epsPlots/', name],'eps2c');

name = 'finalPowerB';
%figure;
plot(Phi1, tex2);
ylim([0 1]);
leg = legend('PF','Markov','DQLogit', 'Geometric','Orientation','horizontal','Location','SouthOutside');
legend boxoff;
set(gca, 'box', 'off') ;
set(gca, 'TickDir' , 'out');
xlabel('\alpha');   


saveas(gcf,[currentDir, '/epsPlots/', name],'eps2c');

name = 'sampleSizeImpl';
%figure;
plot(lengths, sampleSizeImpl);
ylim([0 1]);
xlim([100 1500]);
xlabel('Sample');
%xlabp = get(get(gca, 'XLabel'), 'Position');
%set(get(gca, 'XLabel'), 'Position', xlabp + [0 0.10 0]);

set(gca, 'box', 'off') ;
set(gca, 'TickDir' , 'out');
set(gca, 'XTick' , [250 500 750 1000 1250 1500]);
gp = get(gca, 'Position');
leg = legend('PF','Markov','DQLogit', 'Geometric','Orientation','horizontal', 'Location', 'SouthOutside');
legend boxoff;
%leg = legend('PF','Markov','DQLogit', 'Geometric','Orientation','horizontal', 'Location', [0.47 -0.02 0.1 0.1]);
%leg = get(gca, 'Legend');
%lp = get(leg, 'Position');
%set(leg, 'Position', lp + [800 0 0]);
%set(leg, 'Location', [0.5 0.5 0 0]);

saveas(gcf,[currentDir, '/epsPlots/', name],'eps2c');
%}
