testName = {            'testWeibullConCC',...
                        'testWeibullDiscCC',...
                        'testWeibullDiscHaasCC',...
                        'testGeometricCC',...
                        'testDQCC',...
                        'testDQLogCC'};
%testName = 'testKupiec';
underlyingProcess = 'garchstudentt';
varProcess = 'normal';
alphaVar = 0.05;
alphaTest = 0.05;
lookback = 1000;
dataLength = 1000;
if(isempty(storageCells))
    storageCells = getRunResults;
end

power = zeros(length(testName),6,6);

for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    power(i,:,:) = powerFunctionZ;
end

tex = permute(power, [3, 2, 1]);

latexForm = zeros(6, length(testName), 6);

for i = 1:6
    for j = 1:length(testName)
        latexForm(:, j, 6 - i + 1) = tex(:, 6 - i + 1, j);
    end
end

latexForm = round(latexForm*1000)/1000;

getLatexTable(latexForm, {0.00 0.05 0.10 0.15 0.20 0.25}, {'', 'Cont', 'Disc', 'Haas', 'Geo', 'DQ', 'DQLogit'}, {'$p = 0.250$', '$p = 0.300$', '$p = 0.350$', '$p = 0.400$', '$p = 0.450$', '$p = 0.495$'}, 'caption', 'label', 'note');
%}