%%MATLAB%%
testName = {            'testKupiec',...
                        'testChristoffersenCC',...
                        'testDQCC',...
                        'testDQLogCC',...
                        'testWeibullConCC',...
                        'testWeibullDiscCC',...
                        'testWeibullDiscHaasCC',...
                        'testGeometricCC'};
%testName = 'testKupiec';
underlyingProcess = 'studentt';
varProcess = 'normal';
alphaVar = 0.05;
alphaTest = 0.05;
lookback = 250;
dataLength = 1000;
if(~exist('storageCells'))
    storageCells = getRunResults;
end

power = zeros(6,length(testName));
powerNormal = zeros(1,length(testName));

for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    power(:,i) = powerFunctionZ';
end

%replace the v -> inf with normal
for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, 'normal', varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    %power(end,i) = powerFunctionZ;
    powerNormal(i) = powerFunctionZ;
end

%%LATEX%%
leftHeaders = {'0.025','0.030','0.035','0.040','0.045','0.050',};
topHeaders = {'$\pi$','Kupiec','Markov','DQ','DQLogit','Cont','Disc','Haas','Geo'};
middleHeaders = {};
caption = 'Power of 5\% finite sample tests on 5\% estimated VaR with varying coverage';
lable = 'power_estimate';
note = 'We simulate Student-t distributed returns. The VaR-series are estimated with Normal VaR at $5\%$ significance level. Different degrees of freedom lead to an analytic probability of breach, $\pi$, given no dependence. We test the data with $\textrm{H}_0\textrm{:} \pi = 5\%$. The sample size is $1,000$ and the lookback period for the estimation is $250$ days. Kupiec is a test of unconditional coverage. Markov is a frst-order Markov test referred to as Christoffersen. DQ and DQLogit are regression-based test referred to as DQ and DQLogit. Cont, Disc, Haas and Geo are duration-based referred to as WeibullCon, WeibullDisc, WeibullDiscHaas and Geometric. Please see Section~\ref{sec:methodology} for details on each test.';

getLatexTable(power, leftHeaders,topHeaders,middleHeaders,caption,lable,note);
