testName = {            'testKupiec',...
                        'testChristoffersenCC',...
                        'testDQCC',...
                        'testDQLogCC',...
                        'testWeibullConCC',...
                        'testWeibullDiscCC',...
                        'testWeibullDiscHaasCC',...
                        'testGeometricCC'};
%testName = 'testKupiec';
underlyingProcess = 'garchstudentt';
varProcess = 'normal';
alphaVar = 0.05;
alphaTest = 0.05;
lookback = 250;
dataLength = 1000;
if(isempty(storageCells))
    storageCells = getRunResults;
end

power = zeros(length(testName),6,6);

for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    power(i,:,:) = powerFunctionZ;
end

power2 = zeros(length(testName), 6);

underlyingProcess = 'garchnormal';

for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    power2(i,:) = powerFunctionZ;
end

tex = permute(power, [3, 2, 1]);
tex2 = permute(power2, [2,1]);

latexForm = zeros(6, length(testName), 3);

for i = 1:3
    for j = 1:length(testName)
        latexForm(:, j, i) = tex(:, 2*i, j);
    end
end

latexForm(:, :, 3) = tex2;

getLatexTable(latexForm, {0.00 0.05 0.10 0.15 0.20 0.25}, {'', 'PF', 'Markov', 'Cont', 'Disc', 'Haas', 'Geo', 'DQ', 'DQLogit'}, {'$\pi = 0.300$', '$\pi = 0.400$', '$\pi = 0.500$'}, 'caption', 'label', 'note');
%}