%%MATLAB%%
testFunctionNames = {   'testKupiec',...
                        'testChristoffersenCC',...
                        'testDQCC',...
                        'testDQLogCC',...
                        'testWeibullConCC',...
                        'testWeibullDiscCC',...
                        'testWeibullDiscHaasCC',...
                        'testGeometricCC'};
pValueFunctions =   {   @(LR) 1-chi2cdf(LR,1),...
                        @(LR) 1-chi2cdf(LR,2),...
                        @(LR) 1-chi2cdf(LR,7),...
                        @(LR) 1-chi2cdf(LR,7),...
                        @(LR) 1-chi2cdf(LR,2),...
                        @(LR) 1-chi2cdf(LR,2),...
                        @(LR) 1-chi2cdf(LR,2),...
                        @(LR) 1-0.5*chi2cdf(LR,2)-0.5*chi2cdf(LR,1)};

%testFunctionNames = {'testKupiec'};
%pValueFunctions =   {@(LR) 1-chi2cdf(LR,1)};


alphaVaRs = [0.01 0.05 0.10];
dataLengths = [100 250 500 750 1000 1250 1500];
testAlphas = 0.05;
simulations = 50000;

nominalSizes = getSize(testFunctionNames, pValueFunctions, alphaVaRs, dataLengths, testAlphas, simulations);
latex_table = permute(nominalSizes, [3 1 2]);

%%LATEX%%
leftHeaders = {'100','250','500','750','1000','1250','1500'};
topHeaders = {'Sample','Kupiec','Markov','DQ','DQLogit','Cont','Disc','Haas','Geo'};
middleHeaders = {'$1\%$ VaR','$5\%$ VaR','$10\%$ VaR'};
caption = 'Size of 5\% asymptotic tests';
lable = 'asymptotic';
note = 'We simulate i.i.d. Bernoulli($\pi$) sequences to assess the size properties of the various asymptotic backtesting procedures. We test the data with $\textrm{H}_0\textrm{:} \pi = \pi\$. Kupiec is a test of unconditional coverage. Markov is a frst-order Markov test referred to as Christoffersen. DQ and DQLogit are regression-based test referred to as DQ and DQLogit. Cont, Disc, Haas and Geo are duration-based referred to as WeibullCon, WeibullDisc, WeibullDiscHaas and Geometric. Please see Section~\ref{sec:methodology} for details on each test.';


getLatexTable(latex_table, leftHeaders,topHeaders,middleHeaders,caption,lable,note);

