%%MATLAB%%
testName = {            'testKupiec',...
                        'testChristoffersenCC',...
                        'testDQCC',...
                        'testDQLogCC',...
                        'testWeibullConCC',...
                        'testWeibullDiscCC',...
                        'testWeibullDiscHaasCC',...
                        'testGeometricCC'};
%testName = 'testKupiec';
underlyingProcess = 'uniform';
varProcess = 'normal';
alphaVar = 0.05;
alphaTest = 0.05;
lookback = 250;
dataLength = 1000;
if(~exist('storageCells'))
    storageCells = getRunResults;
end

power = zeros(11,length(testName));

for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    power(:,i) = powerFunctionZ;
end

%%LATEX%%
leftHeaders = num2cell(P);
topHeaders = {'$\pi$','Kupiec','Markov','DQ','DQLogit','Cont','Disc','Haas','Geo'};
middleHeaders = {};
caption = 'Power of 5\% finite sample tests on 5\% analytical VaR with varying coverage';
lable = 'power_uc';
note = 'We simulate normal distributed returns and Normal VaR series such that the hit sequences are i.i.d. Bernoulli($\pi$) series. We test the data with $\textrm{H}_0\textrm{:} \pi = 5\%$. The sample size is $1,000$ and the lookback period for the estimation is $250$ days. Kupiec is a test of unconditional coverage. Markov is a frst-order Markov test referred to as Christoffersen. DQ and DQLogit are regression-based test referred to as DQ and DQLogit. Cont, Disc, Haas and Geo are duration-based referred to as WeibullCon, WeibullDisc, WeibullDiscHaas and Geometric. Please see Section~\ref{sec:methodology} for details on each test.';

getLatexTable(power, leftHeaders,topHeaders,middleHeaders,caption,lable,note);
