    %% Legg alle filer i path som ligger under Matlab
    currentDir = fileparts(which('testHist'));

    addpath( genpath([currentDir, '/../../External Scripts']) );
    addpath( genpath([currentDir, '/../../MFEToolbox']) );
    addpath( genpath([currentDir, '/../../Under Progress']) );
    
%% Bruk alle kjernene!    
    matlabpool;
    start = tic;

    
tests = {'testWeibullDiscCC', 'testWeibullDiscHaasCC', 'testGeometricCC' , 'testDQLogCC' ,'testDQLogCC1'};  
dataLength = 1500;
alphaVar = 0.05;
alphaTest = 0.10;
sims = 10000;

breachPercentage = zeros(length(tests),1);
statCounter = zeros(length(tests),1);
dist = zeros(50000,length(tests));
nextStatistic = zeros(length(tests),1);

for i=1:length(tests)
    dist(:,i) = getDistribution(tests{i},alphaVar,dataLength,50000,0);
end

for j=1:sims
    [returns var] = generateData('normal','hs',alphaVar,dataLength,250,[],[]);
	for i=1:length(tests)
        fh = str2func(tests{i});            
        nextStatistic(i) = fh(returns,var,alphaVar,dist(:,i),0);
	end
    if(sum(isnan(nextStatistic))~=0)
        j=j-1;
        continue;
    end
    for i=1:length(tests)
        if(nextStatistic(i) < alphaTest)
            statCounter(i) = statCounter(i)+1;
        end
    end
end
for i=1:length(tests)
    breachPercentage(i) = statCounter(i)/sims;
end

disp(breachPercentage);
save('breachPercentage.mat','breachPercentage');
matlabpool close;
toc(start);
    
exit;
    