function [ varSeries stdevs zSeries] = genNormVaR( returns, alphaVaR, lookback )
%GENERATENORMALVAR Summary of this function goes here
%   Detailed explanation goes here
    if(length(returns)<=lookback)
        error('generateNormalVaR: Lookback period not allowed to be the same or longer than the return series')
    end

    var = zeros(size(returns, 1), 1);
    stde = zeros(size(returns, 1), 1);
    zSeries = zeros(size(returns, 1), 1);
    
    
    for i = 1 : length(returns)-lookback
        
        estimationSample = returns(i : lookback+i-1);
        mu = mean(estimationSample);
        %mu = 0;
        correction = sqrt(2/(lookback - 1))*(gamma(lookback/2))/(gamma((lookback-1)/2));
        stdev = std(estimationSample)/correction;
        %stdev = std(estimationSample/0.9997497811);
        
        %var(i+lookback) = - norminv(alphaVaR, mu, stdev);
        var(i+lookback) = - (norminv(alphaVaR, 0, 1)*stdev + mu);
        stde(i) = stdev;
    end
    
    varSeries = var(lookback + 1 : length(var));
    stdevs = stde;   
    
end

