function [ varSeries stdevs zSeries] = generateHistoricalVaR( returns, alphaVaR, lookback )
%GENERATEHISTORICALVAR Summary of this function goes here
%   Detailed explanation goes here
    
    if(length(returns)<=lookback)
        error('generateHistoricalVaR: Lookback period not allowed to be the same or longer than the return series')
    end
    
    returnsCum = cumsum(returns);
    S1 = returnsCum(lookback:length(returnsCum)-1);
    S1(2:length(S1)) = S1(2:length(S1)) - returnsCum(1:length(returnsCum)-lookback-1);
    
    returnsSquaredCum = cumsum( returns.^2 );
    S2 = returnsSquaredCum(lookback:length(returnsSquaredCum)-1);
    S2(2:length(S2)) = S2(2:length(S2)) - returnsSquaredCum(1:length(returnsSquaredCum)-lookback - 1);
    
    stdevs = ((S2 - S1.^2 / lookback) / (lookback - 1)).^(1/2);
    
    var = zeros(length(returns)-lookback, 1);
    rollingWindows = zeros(lookback, lookback);
    
    for i = 1: length(var)
        rollingWindows(:, i) = returns(i:lookback + i - 1);
    end 
    
    var = -prctile(rollingWindows, alphaVaR * 100)';
    
    zSeries = zeros(size(returns, 1), 1);
    varSeries = var(1:length(returns) - lookback);
end

