function [ varSeries stdevs zSeries] = generateNormalGarchVaR( returns, alphaVaR, lookback )
%GENERATENORMALVAR Summary of this function goes here
%   Detailed explanation goes here
    if(length(returns)<=lookback)
        error('generateNormalVaR: Lookback period not allowed to be the same or longer than the return series')
    end
    
    varSeries = zeros(size(returns, 1), 1);
    stdevs = zeros(size(returns, 1), 1);
    zSeries = zeros(size(returns, 1), 1);

    options = optimset('Display','off');
      
    for i = lookback + 1:size(returns, 1)
        
        estimationSample = returns(i - lookback : i - 1);
        
        mu = mean(estimationSample);        
        resid = estimationSample - mu; % mean zero returns
        
        [~, ~, HT] = tarch(resid,1,0,1, 'NORMAL', 2, [], options);
        
        stdev = sqrt( HT(length(HT)) );   % Volatility last day
        
        varSeries(i) = - norminv(alphaVaR, mu, stdev);
        stdevs(i) = stdev;
        zSeries(i) = (returns(i) - mu) / stdev;
    
    end 
    
    varSeries = varSeries(lookback+1:end);
    stdevs = stdevs(lookback+1:end);
    zSeries = zSeries(lookback+1:end);
    
end

