function [ varSeries stdevs zSeries] = generateNormalVaR( returns, alphaVaR, lookback )
%GENERATENORMALVAR Summary of this function goes here
%   Detailed explanation goes here
    if(length(returns)<=lookback)
        error('generateNormalVaR: Lookback period not allowed to be the same or longer than the return series')
    end
    
    returnsCum = cumsum(returns);
    S1 = returnsCum(lookback:length(returnsCum)-1);
    S1(2:length(S1)) = S1(2:length(S1)) - returnsCum(1:length(returnsCum)-lookback-1);
    
    returnsSquaredCum = cumsum( returns.^2 );
    S2 = returnsSquaredCum(lookback:length(returnsSquaredCum)-1);
    S2(2:length(S2)) = S2(2:length(S2)) - returnsSquaredCum(1:length(returnsSquaredCum)-lookback - 1);
    
    means = S1 / lookback;
    stdevs = ((S2 - S1.^2 / lookback) / (lookback - 1)).^(1/2);
    
    correction = sqrt(2)*(gamma(1/2)/beta((lookback-1)/2, 1/2))/sqrt(lookback-1);    
    %correction = 1;
    
    
    varSeries = -(means + stdevs * sqrt(2) * erfinv( 2* alphaVaR - 1) / correction);
    
    zSeries = zeros(size(returns, 1), 1);
    
   
    
    %varSeries = ones(size(returns, 1),1)*1.6449;
    %varSeries = varSeries + rand(size(returns, 1),1)/10000;
    %zSeries = zeros(size(returns, 1), 1);
    %{
    varSeries = zeros(size(returns, 1), 1);
    stdevs = zeros(size(returns, 1), 1);
    
    
    for i = 1 : length(returns)-lookback
        
        estimationSample = returns(i : lookback+i-1);
        mu = mean(estimationSample);
        %mu = 0;
        stdev = std(estimationSample);
        %stdev = std(estimationSample/0.9997497811);
        
        varSeries(i+lookback) = - norminv(alphaVaR, mu, stdev);
        stdevs(i) = stdev;
        %zSeries(i) = (returns(i) - mu) / stdev;
    end 
    %}
    
    %{ 
    for i = lookback + 1 : length(returns)
        
        estimationSample = returns(i - lookback : i - 1);
        mu = mean(estimationSample);
        stdev = std(estimationSample);
        %stdev = std(estimationSample/0.9997497811);
        
        varSeries(i) = - norminv(alphaVaR, 0, stdev);
        stdevs(i) = stdev;
        zSeries(i) = (returns(i) - mu) / stdev;
    end
   %}
    %{
    mu = mean(returns(1:lookback));
    varSeries(lookback+1) = - norminv(alphaVaR, mu, std(returns(1:lookback)));
    stdevs = zeros(size(returns, 1), 1);
    for i=lookback+2 : length(returns)
        estimationSample = returns(i - lookback : i - 1);
        temp=0;
        mu = mu - returns(i - lookback -1)/lookback + returns(i - 1)/lookback; 
        
        for j=1:length(estimationSample)
            temp = temp +(estimationSample(j)-mu)^2;
        end
        temp = temp/(length(estimationSample)-1);
        temp = sqrt(temp)/0.9997497811;
        %temp = sqrt(temp);
        varSeries(i) = - norminv(alphaVaR, 0, temp);
    end
   %}
end

