function [ df ] = studTBreach( signVar, signBreach )
%% signVar: VaR signifikansniv for normalfordelingen med std=1, mean=0
%% signBreach: Breach % pga mismatch mellom stud-T og normal
% df vil vre frihetsgrader som gir signBreach for signVar signifikansniv
% i normalfordelingen

%% For signVar < 0.5 s m signVar < signBreach fordi studentfordelingen ligger over normalfordelingen
% Student-t fordelingen vil ha varrians 1 (normaliserer ifh til df)

    z = norminv(signVar, 0, 1);
        
    % [x0, ~, flag] = fminsearch( @(x) (tinv(signBreach, x)*sqrt((x-2)/x)-z)^2, 10);
    
    [x0, min0, flag] = fminsearch( @(x) abs( tcdf(z*sqrt(x/(x-2)),x)- signBreach  ), 10);
    
    if( sqrt(min0) / abs(signVar - signBreach) > 0.1 )
        df = NaN;
        warning('Kunne ikke finne en lsning innenfor 10% av diff');
        return;
    end
    
    if( flag < 1)
        df = NaN;
        return;
    end
    
    df = x0;

end

