
signVar = 0.10;
signBreach = 0.08;
dataLength = 1500;
lookback = 1000;

df = studTBreach(signVar, signBreach);


% Random returns
z0 = trnd(df, 1, dataLength)*sqrt((df-2)/df);


% Find quantiles and CDF
z2 = zeros(1, dataLength);
cdf = zeros(1, dataLength - lookback);
nInv = zeros(1, dataLength - lookback);

tic;

parfor i=lookback+1:dataLength
    
    mu = mean(z0(i-lookback:i-1));
    std0 = std(z0(i-lookback:i-1));

    z2(i) = norminv(signVar, mu, std0);
    cdf(i-lookback) = normcdf(z0(i), mu, std0);
    nInv(i-lookback) = (z0(i) - mu) / std0;
    
    
    
end
    

length( find(z0(lookback+1:length(z0)) < z2(lookback+1:length(z0))) ) / (length(z0) - lookback)
[ pUC, pIND, pMIX ] = testBerkowitz(nInv)

toc;
