length = 100000;
lookback = 100;
mu = 0;
stdev = 1;
alphaVaR = 0.05;

returns = normrnd(mu, stdev, length, 1);
[varSeries stdevs cdfs] = generateNormalVaR(returns, alphaVaR, lookback);

returns2 = returns(lookback + 1: length);
varSeries2 = varSeries(lookback + 1 : length);

distribution = norminv(cdfs(lookback + 1: size(cdfs, 1)), mu, stdev);
mu2 = mean(distribution);
stdev2 = std(distribution);

hist(distribution, 100);%Red: The distribution from VaR generation
h = findobj(gca,'Type','patch');
set(h,'FaceColor','r','EdgeColor','w','facealpha',0.75)
hold on;
hist(returns2, 100);%Blue: The distribution of the underlying returns
h1 = findobj(gca,'Type','patch');
set(h1,'facealpha',0.75);

disp(size(find(returns2 < varSeries2), 1)/(length - lookback));
%%
length = 10000000;
lookback = 100;
mu = 0;
stdev = 1;
alphaVaR = 0.05;

returns = normrnd(mu, stdev, length, 1);
varSeries = norminv(alphaVaR, mu, stdev);

disp(size(find(returns < varSeries), 1)/(length));